Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx.renderer
Enum IconValue.IconType

    java.lang.Object
      java.lang.Enum<IconValue.IconType>
          org.jdesktop.swingx.renderer.IconValue.IconType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IconValue.IconType>

Enclosing interface:
  IconValue

    public static enum IconValue.IconType

extends java.lang.Enum<IconValue.IconType>

The cell type the icon is used for.

Enum Constant Summary
`CLOSED_FOLDER`
`LEAF`
`OPEN_FOLDER`

Method Summary
`static IconValue.IconType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IconValue.IconType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEAF

    public static final IconValue.IconType LEAF

### OPEN_FOLDER

    public static final IconValue.IconType OPEN_FOLDER

### CLOSED_FOLDER

    public static final IconValue.IconType CLOSED_FOLDER

Method Detail

### values

    public static IconValue.IconType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IconValue.IconType c : IconValue.IconType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IconValue.IconType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.